import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusParkingLot } from '../models/index';
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
interface BusParkingLotCU extends ConditionUtil<BusParkingLotCU> {
    LOT_ID: FieldUtil<BusParkingLotCU>;
    GROUP_ID: FieldUtil<BusParkingLotCU>;
    LOT_CODE: FieldUtil<BusParkingLotCU>;
    LOT_NAME: FieldUtil<BusParkingLotCU>;
    LOGO_URL: FieldUtil<BusParkingLotCU>;
    TOTAL_SPACE: FieldUtil<BusParkingLotCU>;
    FUNC_FLAG: FieldUtil<BusParkingLotCU>;
    KEYWORD: FieldUtil<BusParkingLotCU>;
    DESCRIPTION: FieldUtil<BusParkingLotCU>;
    TRADE_FEE: FieldUtil<BusParkingLotCU>;
    CONTACT: FieldUtil<BusParkingLotCU>;
    CONTACT_INFO: FieldUtil<BusParkingLotCU>;
    PROV_ID: FieldUtil<BusParkingLotCU>;
    CITY_ID: FieldUtil<BusParkingLotCU>;
    DISTRICT_ID: FieldUtil<BusParkingLotCU>;
    LOT_NATURE_CODE: FieldUtil<BusParkingLotCU>;
    ADDRESS: FieldUtil<BusParkingLotCU>;
    USE_MAP: FieldUtil<BusParkingLotCU>;
    LONGITUDE: FieldUtil<BusParkingLotCU>;
    LATITUDE: FieldUtil<BusParkingLotCU>;
    USE_SUPERPARK: FieldUtil<BusParkingLotCU>;
    USE_KEYTOP: FieldUtil<BusParkingLotCU>;
    USE_SUB_MER: FieldUtil<BusParkingLotCU>;
    SUPERPARK_SUB_ACCT: FieldUtil<BusParkingLotCU>;
    KEYTOP_SUB_ACCT: FieldUtil<BusParkingLotCU>;
    REMARK: FieldUtil<BusParkingLotCU>;
    OPERATOR: FieldUtil<BusParkingLotCU>;
    CREATE_TIME: FieldUtil<BusParkingLotCU>;
    UPDATE_TIME: FieldUtil<BusParkingLotCU>;
    SUPERPARK_SUB_APPID: FieldUtil<BusParkingLotCU>;
    ENABLE_NEWS: FieldUtil<BusParkingLotCU>;
    NEWS_TEMPLATE: FieldUtil<BusParkingLotCU>;
    KEYTOP_SUB_APPID: FieldUtil<BusParkingLotCU>;
    PAY_URL: FieldUtil<BusParkingLotCU>;
    PAY_QR_CODE_URL: FieldUtil<BusParkingLotCU>;
    SHARE_QR_CODE_URL: FieldUtil<BusParkingLotCU>;
    ENABLE_CALLBACK: FieldUtil<BusParkingLotCU>;
    PAY_CALLBACK_URL: FieldUtil<BusParkingLotCU>;
    DISABLE_STC_QUERY: FieldUtil<BusParkingLotCU>;
    DISABLE_API_QUERY: FieldUtil<BusParkingLotCU>;
    ENABLE_PAYMENT: FieldUtil<BusParkingLotCU>;
    ENABLE_REFUND: FieldUtil<BusParkingLotCU>;
    ENABLE_POST_PAID: FieldUtil<BusParkingLotCU>;
    ENABLE_COME_MSG_PUSH: FieldUtil<BusParkingLotCU>;
    ENABLE_LOCATION_MSG_PUSH: FieldUtil<BusParkingLotCU>;
    ENABLE_CUSTOM_BTN: FieldUtil<BusParkingLotCU>;
    ENABLE_LOCK_CAR: FieldUtil<BusParkingLotCU>;
    LOT_SYNC_CHANNEL: FieldUtil<BusParkingLotCU>;
    IS_HOT: FieldUtil<BusParkingLotCU>;
    CLIENT_ID: FieldUtil<BusParkingLotCU>;
    CLOSE_TIP: FieldUtil<BusParkingLotCU>;
    ORD_QUERY_BTM_HTML: FieldUtil<BusParkingLotCU>;
    ORD_SUCCESS_HTML: FieldUtil<BusParkingLotCU>;
    IS_FAREWELL_WORD: FieldUtil<BusParkingLotCU>;
}
declare class BusParkingLotMU extends TableUtilImpl<BusParkingLotCU, BusParkingLot> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusParkingLotCU;
    static get LOT_ID(): FieldUtil<BusParkingLotCU>;
    static get GROUP_ID(): FieldUtil<BusParkingLotCU>;
    static get LOT_CODE(): FieldUtil<BusParkingLotCU>;
    static get LOT_NAME(): FieldUtil<BusParkingLotCU>;
    static get LOGO_URL(): FieldUtil<BusParkingLotCU>;
    static get TOTAL_SPACE(): FieldUtil<BusParkingLotCU>;
    static get FUNC_FLAG(): FieldUtil<BusParkingLotCU>;
    static get KEYWORD(): FieldUtil<BusParkingLotCU>;
    static get DESCRIPTION(): FieldUtil<BusParkingLotCU>;
    static get TRADE_FEE(): FieldUtil<BusParkingLotCU>;
    static get CONTACT(): FieldUtil<BusParkingLotCU>;
    static get CONTACT_INFO(): FieldUtil<BusParkingLotCU>;
    static get PROV_ID(): FieldUtil<BusParkingLotCU>;
    static get CITY_ID(): FieldUtil<BusParkingLotCU>;
    static get DISTRICT_ID(): FieldUtil<BusParkingLotCU>;
    static get LOT_NATURE_CODE(): FieldUtil<BusParkingLotCU>;
    static get ADDRESS(): FieldUtil<BusParkingLotCU>;
    static get USE_MAP(): FieldUtil<BusParkingLotCU>;
    static get LONGITUDE(): FieldUtil<BusParkingLotCU>;
    static get LATITUDE(): FieldUtil<BusParkingLotCU>;
    static get USE_SUPERPARK(): FieldUtil<BusParkingLotCU>;
    static get USE_KEYTOP(): FieldUtil<BusParkingLotCU>;
    static get USE_SUB_MER(): FieldUtil<BusParkingLotCU>;
    static get SUPERPARK_SUB_ACCT(): FieldUtil<BusParkingLotCU>;
    static get KEYTOP_SUB_ACCT(): FieldUtil<BusParkingLotCU>;
    static get REMARK(): FieldUtil<BusParkingLotCU>;
    static get OPERATOR(): FieldUtil<BusParkingLotCU>;
    static get CREATE_TIME(): FieldUtil<BusParkingLotCU>;
    static get UPDATE_TIME(): FieldUtil<BusParkingLotCU>;
    static get SUPERPARK_SUB_APPID(): FieldUtil<BusParkingLotCU>;
    static get ENABLE_NEWS(): FieldUtil<BusParkingLotCU>;
    static get NEWS_TEMPLATE(): FieldUtil<BusParkingLotCU>;
    static get KEYTOP_SUB_APPID(): FieldUtil<BusParkingLotCU>;
    static get PAY_URL(): FieldUtil<BusParkingLotCU>;
    static get PAY_QR_CODE_URL(): FieldUtil<BusParkingLotCU>;
    static get SHARE_QR_CODE_URL(): FieldUtil<BusParkingLotCU>;
    static get ENABLE_CALLBACK(): FieldUtil<BusParkingLotCU>;
    static get PAY_CALLBACK_URL(): FieldUtil<BusParkingLotCU>;
    static get DISABLE_STC_QUERY(): FieldUtil<BusParkingLotCU>;
    static get DISABLE_API_QUERY(): FieldUtil<BusParkingLotCU>;
    static get ENABLE_PAYMENT(): FieldUtil<BusParkingLotCU>;
    static get ENABLE_REFUND(): FieldUtil<BusParkingLotCU>;
    static get ENABLE_POST_PAID(): FieldUtil<BusParkingLotCU>;
    static get ENABLE_COME_MSG_PUSH(): FieldUtil<BusParkingLotCU>;
    static get ENABLE_LOCATION_MSG_PUSH(): FieldUtil<BusParkingLotCU>;
    static get ENABLE_CUSTOM_BTN(): FieldUtil<BusParkingLotCU>;
    static get ENABLE_LOCK_CAR(): FieldUtil<BusParkingLotCU>;
    static get LOT_SYNC_CHANNEL(): FieldUtil<BusParkingLotCU>;
    static get IS_HOT(): FieldUtil<BusParkingLotCU>;
    static get CLIENT_ID(): FieldUtil<BusParkingLotCU>;
    static get CLOSE_TIP(): FieldUtil<BusParkingLotCU>;
    static get ORD_QUERY_BTM_HTML(): FieldUtil<BusParkingLotCU>;
    static get ORD_SUCCESS_HTML(): FieldUtil<BusParkingLotCU>;
    static get IS_FAREWELL_WORD(): FieldUtil<BusParkingLotCU>;
    get LOT_ID(): FieldUtil<BusParkingLotCU>;
    get GROUP_ID(): FieldUtil<BusParkingLotCU>;
    get LOT_CODE(): FieldUtil<BusParkingLotCU>;
    get LOT_NAME(): FieldUtil<BusParkingLotCU>;
    get LOGO_URL(): FieldUtil<BusParkingLotCU>;
    get TOTAL_SPACE(): FieldUtil<BusParkingLotCU>;
    get FUNC_FLAG(): FieldUtil<BusParkingLotCU>;
    get KEYWORD(): FieldUtil<BusParkingLotCU>;
    get DESCRIPTION(): FieldUtil<BusParkingLotCU>;
    get TRADE_FEE(): FieldUtil<BusParkingLotCU>;
    get CONTACT(): FieldUtil<BusParkingLotCU>;
    get CONTACT_INFO(): FieldUtil<BusParkingLotCU>;
    get PROV_ID(): FieldUtil<BusParkingLotCU>;
    get CITY_ID(): FieldUtil<BusParkingLotCU>;
    get DISTRICT_ID(): FieldUtil<BusParkingLotCU>;
    get LOT_NATURE_CODE(): FieldUtil<BusParkingLotCU>;
    get ADDRESS(): FieldUtil<BusParkingLotCU>;
    get USE_MAP(): FieldUtil<BusParkingLotCU>;
    get LONGITUDE(): FieldUtil<BusParkingLotCU>;
    get LATITUDE(): FieldUtil<BusParkingLotCU>;
    get USE_SUPERPARK(): FieldUtil<BusParkingLotCU>;
    get USE_KEYTOP(): FieldUtil<BusParkingLotCU>;
    get USE_SUB_MER(): FieldUtil<BusParkingLotCU>;
    get SUPERPARK_SUB_ACCT(): FieldUtil<BusParkingLotCU>;
    get KEYTOP_SUB_ACCT(): FieldUtil<BusParkingLotCU>;
    get REMARK(): FieldUtil<BusParkingLotCU>;
    get OPERATOR(): FieldUtil<BusParkingLotCU>;
    get CREATE_TIME(): FieldUtil<BusParkingLotCU>;
    get UPDATE_TIME(): FieldUtil<BusParkingLotCU>;
    get SUPERPARK_SUB_APPID(): FieldUtil<BusParkingLotCU>;
    get ENABLE_NEWS(): FieldUtil<BusParkingLotCU>;
    get NEWS_TEMPLATE(): FieldUtil<BusParkingLotCU>;
    get KEYTOP_SUB_APPID(): FieldUtil<BusParkingLotCU>;
    get PAY_URL(): FieldUtil<BusParkingLotCU>;
    get PAY_QR_CODE_URL(): FieldUtil<BusParkingLotCU>;
    get SHARE_QR_CODE_URL(): FieldUtil<BusParkingLotCU>;
    get ENABLE_CALLBACK(): FieldUtil<BusParkingLotCU>;
    get PAY_CALLBACK_URL(): FieldUtil<BusParkingLotCU>;
    get DISABLE_STC_QUERY(): FieldUtil<BusParkingLotCU>;
    get DISABLE_API_QUERY(): FieldUtil<BusParkingLotCU>;
    get ENABLE_PAYMENT(): FieldUtil<BusParkingLotCU>;
    get ENABLE_REFUND(): FieldUtil<BusParkingLotCU>;
    get ENABLE_POST_PAID(): FieldUtil<BusParkingLotCU>;
    get ENABLE_COME_MSG_PUSH(): FieldUtil<BusParkingLotCU>;
    get ENABLE_LOCATION_MSG_PUSH(): FieldUtil<BusParkingLotCU>;
    get ENABLE_CUSTOM_BTN(): FieldUtil<BusParkingLotCU>;
    get ENABLE_LOCK_CAR(): FieldUtil<BusParkingLotCU>;
    get LOT_SYNC_CHANNEL(): FieldUtil<BusParkingLotCU>;
    get IS_HOT(): FieldUtil<BusParkingLotCU>;
    get CLIENT_ID(): FieldUtil<BusParkingLotCU>;
    get CLOSE_TIP(): FieldUtil<BusParkingLotCU>;
    get ORD_QUERY_BTM_HTML(): FieldUtil<BusParkingLotCU>;
    get ORD_SUCCESS_HTML(): FieldUtil<BusParkingLotCU>;
    get IS_FAREWELL_WORD(): FieldUtil<BusParkingLotCU>;
}
export { BusParkingLotMU, BusParkingLotCU };
